%define evo_version 2.21.1
%define eds_version 2.21.1
%define glib_version 2.8.1

%define evo_api_version 2.24
%define eds_api_version 1.2

Name: evolution-zimbra
Version: 0.1.1
Release: %mkrel 5
License: GPLv2+ and LGPLv2+
Group: Networking/Mail
Summary: Zimbra Connector for Evolution
URL: http://sourceforge.net/projects/zimbraevo/
Source: http://ovh.dl.sourceforge.net/sourceforge/zimbraevo/evolution-zimbra-%version.tar.gz
Patch: evolution-zimbra-0.1.1-format-strings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: curl-devel
BuildRequires: evolution-devel 
#>= %{evo_version}
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: gettext
BuildRequires: glib2-devel 
#>= %{glib_version}
BuildRequires: intltool
#gw libtool problem:
BuildRequires: gnome-pilot-devel libmono-devel

%description
Zimbra Connector provides access to Zimbra servers through Evolution.

%prep
%setup -q
%patch -p1

%build
export CPPFLAGS="$CPPFLAGS -I%_includedir/libical"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std prefix=/
#gw don't package these
rm -f %buildroot%_libdir/{evolution-data-server-*/*/,evolution/*/plugins/}/*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%_datadir/gtk-doc/html/libezimbra
#%{_libdir}/evolution/%{evo_api_version}/plugins/*
%{_libdir}/evolution/*/plugins/*
#%{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers/*
%{_libdir}/evolution-data-server-*/camel-providers/*
#%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/*
%{_libdir}/evolution-data-server-*/extensions/*



%changelog
* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-5mdv2009.1
+ Revision: 336630
- fix format string
- libical build fix

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdv2009.1
+ Revision: 299517
- rebuild for new evolution

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdv2009.1
+ Revision: 295660
- rebuild for new evolution-data-server

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdv2009.0
+ Revision: 240199
- rebuild

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2009.0
+ Revision: 236366
- new version
- fix build
- update license
- update build deps
- update file list
- fix installation

* Mon Mar 03 2008 Buchan Milne <bgmilne@mandriva.org> 0.1.0-1mdv2008.1
+ Revision: 178223
- Buildrequire mono-devel
- Fix License and Group
- import evolution-zimbra


